Search Gradle plugins

Version 0.2

Created 22 July 2018.

Java 9 JPMS (Jigsaw) modules support

Using the plugins DSL:

plugins {
  id "rgoldberg.java-modules" version "0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.rgoldberg:java-modules:0.2"
  }
}

apply plugin: "rgoldberg.java-modules"

Using the plugins DSL:

plugins {
  id("rgoldberg.java-modules") version "0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.rgoldberg:java-modules:0.2")
  }
}

apply(plugin = "rgoldberg.java-modules")

Learn how to apply plugins to subprojects